Rated 5/5 based on 240179 internet user reviews

Đến nội dung


Hình ảnh

Lệnh tính diện tích, khối lượng trong bản vẽ xây dựng


  • Please log in to reply
3 replies to this topic

#1 tuan_ts2007@yahoo.com.vn

tuan_ts2007@yahoo.com.vn

    biết zoom

  • Members
  • Pip
  • 11 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 25 April 2008 - 09:51 AM

Các Bác cho Em hỏi dùng lệnh nào để tính diện tích và khối lượng trên bản vẽ xây dựng là nhanh nhất? Mong được sự giúp đỡ của các Bác
  • 0

#2 myhan

myhan

    biết zoom

  • Members
  • Pip
  • 16 Bài viết
Điểm đánh giá: 10 (tàm tạm)

Đã gửi 25 April 2008 - 10:52 AM

Các Bác cho Em hỏi dùng lệnh nào để tính diện tích và khối lượng trên bản vẽ xây dựng là nhanh nhất? Mong được sự giúp đỡ của các Bác

aa trong cad roi chon Ôr
dùng lisp sau:
; tinh dien tich, co the cong cac dien tich khac nhau ghi vao 1 so co san
(defun c:dt3()
;(if (= sc3 nil) (progn
; (setq Ty_le_N (getreal "\nHorizontal Drawing scale :chu y de quy doi m or mm "))
;(setq He_so_N (/ 1000 Ty_le_N))
; (setq Ty_le_D (getreal "\nVertical Drawing scale :chu y de quy doi m or mm "))
;(setq He_so_D (/ 1000 Ty_le_D))
;(setq He_so2 (* He_so_N He_so_D))
; )
:bigsmile:
(if (= SC3 nil) (setq SC3 (getreal "\nNhap ti le : (1or0.5or0.1...so nay duoc nhan vao dien tich")))
(setq dtl 0)
(setq ss (ssadd))
(setq oslast (getvar "OSMODE"))
(command "osnap" "")
(print)
(print)
(setq pt1 (getpoint "\nPick internal point : "))
(while (/= pt1 nil)
(command "-boundary" pt1 "")
(setq et (entlast))
(ssadd et ss)
(command "area" "e" "l")
(setq vsize ( /(getvar "VIEWSIZE") 300 ))
(command "hatch" "ANSI31" vsize "0" "l" "")
(setq et (entlast))
(ssadd et ss)
(setq dtcon (getvar "AREA"))
(setq dtl (+ dtcon dtl))
(print)
(print)
(setq pt1 (getpoint "\nPick internal point : "))
)
(command "setvar" "OSMODE" oslast)
(command "erase" ss "")
(setq ss nil)
(command "redraw")
(setq dtl (/ (* dtl sc3) 1))
(setq en (car (entsel "Thay cho so : ")))
(setq elst (entget en))
(setq elst (subst (cons 1 (strcat " " (rtos dtl 2 2))) (assoc 1 elst) elst))
(entmod elst)
; (print)
; (prompt (strcat "\nTotal area : " (rtos dTy_le 2 2)))
; (print)
; (setq pt2 (getpoint "\nPoint to write: "))
; (command "text" pt2 (/ vsize 6) "0" (rtos dtl 2 2))
);defun
Chúc vui
---------------------------------
Nếu muốn cảm ơn, bạn hãy bấm vào nút thanks
  • 3
SỐNG TRÊN ĐỜI CẦN MỘT TẤM LÒNG
ĐỂ GIÓ CUỐN ĐI.......................................
Nếu muốn cảm ơn ai, bạn hãy bấm vào nút thanks.
http://myhan.myminicity.com

#3 dh2xd

dh2xd

    biết vẽ pline

  • Members
  • PipPip
  • 65 Bài viết
Điểm đánh giá: 24 (tàm tạm)

Đã gửi 25 April 2008 - 11:24 AM

cái lisp này muốn chỉnh lại tỷ lệ thì làm thế nào hả bác. Em thấy nó hỏi mỗi 1 lần đầu tiên xong muốn chỉnh lại tìm mãi ko ra bác giúp e cái
  • 0

#4 myhan

myhan

    biết zoom

  • Members
  • Pip
  • 16 Bài viết
Điểm đánh giá: 10 (tàm tạm)

Đã gửi 27 April 2008 - 10:29 AM

cái lisp này muốn chỉnh lại tỷ lệ thì làm thế nào hả bác. Em thấy nó hỏi mỗi 1 lần đầu tiên xong muốn chỉnh lại tìm mãi ko ra bác giúp e cái

tắt cad đi mở lại thôi.
  • 0
SỐNG TRÊN ĐỜI CẦN MỘT TẤM LÒNG
ĐỂ GIÓ CUỐN ĐI.......................................
Nếu muốn cảm ơn ai, bạn hãy bấm vào nút thanks.
http://myhan.myminicity.com